0.0
No commit activity in last 3 years
No release in over 3 years
Universal SCrypt PBKDF adapter (for CRuby (MRI) and JRuby)
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
 Dependencies

Runtime

~> 3.0
 Project Readme

scrypt-ruby

Universal SCrypt adapter library

Usage

require 'scrypt-ruby' # instead of require 'scrypt'

The API is basically the same as https://github.com/pbhogan/scrypt, so it's a drop-in replacement for scrypt on JRuby or regular Rubies

Installation

Gem

gem install scrypt-ruby -P MediumSecurity

Bundler

# Gemfile
gem 'scrypt-ruby'

Supported Platforms

JRuby

  • FreeBSD
  • Linux
  • Mac OS X
  • Windows (uncertain/untested)

Support provided by https://github.com/wg/scrypt

MRI / CRuby / Rubinius

  • FreeBSD
  • Linux
  • Mac OS X
  • Windows

Support provided by https://github.com/pbhogan/scrypt

Patches

PR's welcome!

For bonus points, use feature branches in your head fork to keep things clearer.

Issues

Issue tracker

License

MIT License

Copyright

Copyright (C) 2016 Barry Allard